import datetime
from apscheduler.schedulers.background import BackgroundScheduler

class TaskScheduler:
    def __init__(self):
        self.scheduler = BackgroundScheduler()

    def add_task(self,timedTask,timeMinute,*args):
        # Define your timed task here
        self.scheduler.add_job(timedTask, 'interval', minutes=timeMinute,args=args)

    def start_scheduler(self):
        # Add the timed task to the scheduler
        # Start the scheduler
        self.scheduler.start()

    def stop_scheduler(self):
        # Shutdown the scheduler
        self.scheduler.shutdown()

def task1():
    print(datetime.datetime.utcnow().strftime("%Y-%m-%d %H:%M:%S.%f")[:-3])

def task2():
    print("task2")
# Example usage:
if __name__ == "__main__":
    scheduler = TaskScheduler()
    scheduler.add_task(task1,1)
    scheduler.add_task(task2,2)
    scheduler.start_scheduler()
    # Keep the program running to allow scheduler to execute tasks
    try:
        while True:
            pass
    except KeyboardInterrupt:
        scheduler.stop_scheduler()
